ModuleTree (Java SE 12 & JDK 12 )
Keywords: jdk.nashorn.api.tree.ModuleTree interface

Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface ModuleTree

- All Superinterfaces:
    `Tree`

      @Deprecated(since="11",
                  forRemoval=true)
      public interface ModuleTree
      extends Tree

  Deprecated, for removal: This API element is subject to removal in a future version.
  Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
  A Tree node for Module information.

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `List<? extends ImportEntryTree>` | `getImportEntries()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the list of import entries.
    `List<? extends ExportEntryTree>` | `getIndirectExportEntries()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the list of indirect export entries.
    `List<? extends ExportEntryTree>` | `getLocalExportEntries()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the list of local export entries.
    `List<? extends ExportEntryTree>` | `getStarExportEntries()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the list of star export entries.

    - ### Methods declared in interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getImportEntries

          List<? extends ImportEntryTree> getImportEntries()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the list of import entries.
      Returns:
        the import entries

    - #### getLocalExportEntries

          List<? extends ExportEntryTree> getLocalExportEntries()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the list of local export entries.
      Returns:
        the local export entries

    - #### getIndirectExportEntries

          List<? extends ExportEntryTree> getIndirectExportEntries()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the list of indirect export entries.
      Returns:
        the indirect export entries

    - #### getStarExportEntries

          List<? extends ExportEntryTree> getStarExportEntries()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the list of star export entries.
      Returns:
        the star export entries